// Реализовать функцию для подсчета n-го обобщенного числа Фибоначчи. Задача должна быть реализована на языке
// javascript, без использования фреймворков и сторонник библиотек (типа Jquery).
//
// Технические требования:
//     Написать функцию для подсчета n-го обобщенного числа Фибоначчи. Аргументами на вход будут
//     три числа - F0, F1, n, где F0, F1 - первые два числа последовательности (могут быть любыми целыми числами),
//     n - порядковый номер числа Фибоначчи, которое надо найти.
//     Последовательнось будет строиться по следующему правилу F2 = F0 + F1, F3 = F1 + F2 и так далее.
//     Считать с помощью модального окна браузера число, которое введет пользователь (n).
//     С помощью функции посчитать n-е число в обобщенной последовательности Фибоначчи и вывести его на экран.
//     Пользователь может ввести отрицательное число - результат надо посчитать по такому же правилу (F-1 = F-3 + F-2).

// let userReply = +prompt('Enter a number you want to receive fibonacci')
// while (isNaN(userReply)) {
//     userReply = +prompt(`Entered number ${userReply} is wrong. Enter a number again:`)
// }

// F2 = F0 + F1, F3 = F1 + F2
// fn = fn-1 + fn-2
// function getFibohacci(f0, f1, n) {
//     // if (n > 0) {
//     //     for (let i = 3; i <= n; i++) {
//     //         let fib = f0 + f1;
//     //         f0 = f1;
//     //         f1 = fib;
//     //         console.log(f1)
//     //     }
//     // }
//
//         // else
//             if (n < 0) {
//             for ( let i = 3; i>= n; i++) {
//                 let fib = f1 - f0;
//                 f0 = f1;
//                 f1 = fib;
//             }
//         }
//     return f1;
// }

// function fib(f0, f1, n) {
//     return n <= 1 ? n : fib(n - 1) + fib(n - 2);
// }
//
// console.log(fib(1, 1, 8));
// // console.log(getFibohacci(1, 1, userReply));

let age = prompt('Сколько тебе лет?', 100);

alert(`Тебе ${age} лет!`); // Тебе 100 лет!